/**
 * Name of the property the animation will be applied to
 *
 *
 */
import { TypedAnimNode } from './_Base';
import { TimelineBuilder } from '../../../core/animation/TimelineBuilder';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class PropertyNameAnimParamsConfig extends NodeParamsConfig {
    /** @param name */
    name: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.STRING>;
}
export declare class PropertyNameAnimNode extends TypedAnimNode<PropertyNameAnimParamsConfig> {
    params_config: PropertyNameAnimParamsConfig;
    static type(): string;
    initializeNode(): void;
    cook(input_contents: TimelineBuilder[]): void;
}
export {};
